curl --request PATCH \
--url https://api.tread-horizon.com/v1/sites/{site-id}/additional_geofences/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"moving_geofence": false,
"tag": "scaling",
"geofence_type": "moving",
"_destroy": 123
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123,
"tag": "pickup"
},
"moving_geofence": false,
"tag": "scaling",
"geofence_type": "moving"
}
}Update an Additional Geofence for a Site by ID
curl --request PATCH \
--url https://api.tread-horizon.com/v1/sites/{site-id}/additional_geofences/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"moving_geofence": false,
"tag": "scaling",
"geofence_type": "moving",
"_destroy": 123
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123,
"tag": "pickup"
},
"moving_geofence": false,
"tag": "scaling",
"geofence_type": "moving"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Required if _destroy is set
Show child attributes
scaling, site, loading, unloading, check_in, ticketing moving, circle, polygon If this is provided with value of 1 like so _destroy: 1 then this model will be deleted. The id must be set.
OK
Show child attributes